GDB (xrefs)

Public Attributes | List of all members
line_offset Struct Reference

`#include "location.h"`

## Public Attributes
int | offset
enum offset_relative_sign | sign

## Detailed Description

Definition at line 44 of file location.h.

## Member Data Documentation

## ◆ offset

int line_offset::offset

Definition at line 47 of file location.h.

Referenced by create_sals_line_offset(), explicit_to_string_internal(), linespec_parse_line_offset(), and update_static_tracepoint().

## ◆ sign

enum offset_relative_sign line_offset::sign

Definition at line 48 of file location.h.

Referenced by convert_explicit_location_to_linespec(), convert_linespec_to_sals(), create_sals_line_offset(), event_location_empty_p(), explicit_to_string_internal(), initialize_explicit_location(), linespec_parse_basic(), linespec_parse_line_offset(), mi_cmd_break_insert_1(), new_explicit_location(), parse_linespec(), and update_static_tracepoint().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/location.h